%define name etftp
%define version 1.1.3
%define release 2mdk

Summary: The Enhanced Trivial File Transfer Protocol, RFC 1986, client/server.
Name: %{name}
Version: %{version}
Release: %{release}
Source: %{name}-%{version}.tar.bz2
Copyright: GPL
Group: Networking/File transfer
Buildroot: /var/tmp/%{name}-buildroot

%description
ETFTP - Enhanced Trivial File Transfer Protocol. Adaptive transmission
protocol for radio based data transmission.

The idea of ETFTP as a project originated from RFC 1986 in which an
experimental protocol for tactical radio is specified.  On account of
the increasing interest in data transmission over tactical radio, the
code was finally donated to the National Defence Research
Establishment, Dept. of Communication Systems, FOA 72, on condition
that it was released under the terms of the GNU GPL.


Please drop us an e-mail if you do use ``our'' etftp in any research
and/or development...

The code is an extension of W. Richard Stevens implementation of TFTP.
For further reading, study his book "UNIX Network Programming" (ISBN
0-13-949876-1).  See also RFC 998 (NETBLT) and RFC 1350 (TFTP) for more
background and ideas...

For RFC 1986, see, e.g., ftp://nis.nsf.net/documents/rfc/rfc1986.txt.


%prep 
%setup -n etftp-1.1.3

rm -rf		$RPM_BUILD_ROOT
mkdir -p	$RPM_BUILD_ROOT/usr/bin

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr 
make all



%install
make prefix=$RPM_BUILD_ROOT/usr install

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr (-,root,root)
%doc INSTALL TODO USAGE README WhatsNew batchfile.sample
/usr/bin/*
/usr/sbin/*

%changelog
* Wed Apr 26 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.1.3-2mdk
- fix group
- spec helper fixes

* Wed Feb 16 2000 Lenny Cartier <lenny@mandrakesoft.com>
- mandrake build
 
* Fri Mar 26 1999 Christian Joensson FOA 72 <chj@lin.foa.se>
  [etftp-1.1.3-1]
  - Update to etftp-1.1.3.
    * Fixed bug with integer divisions in timers; lDATAsleep, alarmTimeout.
 
* Fri Aug 28 1998 Christian Joensson FOA 72 <chj@lin.foa.se>
  [etftp-1.1.2-1]
  - Update to etftp-1.1.2.
    * Maximum block size is increased to 1900 bytes data. Non RFC compliant
      in this sense but could increase performance.
    * Maximum baudrate is increased to a maximum of 1000000 (1 Mbps).
 
* Tue Aug 11 1998 Christian Joensson <chj@lin.foa.se>
  [etftp-1.1.1-1]
  - Update to etftp-1.1.1, i.e., fixed symlink to install of etftpd in
    src/Makefile.in
 
Christian Joensson <chj@lin.foa.se>
  [etftp-1.1-1]
  - Update to etftp-1.1.
 
 
* Mon Aug 10 1998 Christian Joensson <chj@lin.foa.se>
  [etftp-1.1-1]
  - Update to etftp-1.1.
 
* Thu May 28 1998 Christian Joensson <chj@lin.foa.se>
  [etftp-1.0-1]
  - First release... 
